Package org.apache.commons.imaging.formats.tiff

# Class AbstractTiffImageData.Strips

java.lang.Object
org.apache.commons.imaging.formats.tiff.AbstractTiffImageData
org.apache.commons.imaging.formats.tiff.AbstractTiffImageData.Strips

Enclosing class:
  `AbstractTiffImageData`

public static class AbstractTiffImageData.Strips extends AbstractTiffImageData

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.imaging.formats.tiff.AbstractTiffImageData

  `AbstractTiffImageData.Data, AbstractTiffImageData.Strips, AbstractTiffImageData.Tiles`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `rowsPerStrip`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Strips(AbstractTiffElement.DataElement[] strips, int rowsPerStrip)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractImageDataReader`
  `getDataReader(TiffDirectory directory, AbstractPhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, TiffPlanarConfiguration planarConfiguration, ByteOrder byteorder)`
  `AbstractTiffElement.DataElement[]`
  `getImageData()`
  `AbstractTiffElement.DataElement`
  `getImageData(int offset)`
  `int`
  `getImageDataLength()`
  `boolean`
  `stripsNotTiles()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rowsPerStrip

    public final int rowsPerStrip

- ## Constructor Details

  - ### Strips

    public Strips(AbstractTiffElement.DataElement[] strips, int rowsPerStrip)

- ## Method Details

  - ### getDataReader

    public AbstractImageDataReader getDataReader(TiffDirectory directory, AbstractPhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, TiffPlanarConfiguration planarConfiguration, ByteOrder byteorder) throws IOException, ImagingException
    Specified by:
      `getDataReader` in class `AbstractTiffImageData`
    Throws:
      `IOException`
      `ImagingException`

  - ### getImageData

    public AbstractTiffElement.DataElement[] getImageData()
    Specified by:
      `getImageData` in class `AbstractTiffImageData`

  - ### getImageData

    public AbstractTiffElement.DataElement getImageData(int offset)

  - ### getImageDataLength

    public int getImageDataLength()

  - ### stripsNotTiles

    public boolean stripsNotTiles()
    Specified by:
      `stripsNotTiles` in class `AbstractTiffImageData`